Bug 885095 - NPE with proc relational query
Summary: NPE with proc relational query
Status: VERIFIED
Alias: None
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: EDS
Version: 5.3.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ER4
: 5.3.1
Assignee: Van Halbert
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-07 13:50 UTC by dsteigne
Modified: 2018-11-29 19:19 UTC (History)
3 users (show)

(edit)
FrameUtil.isProcedure does not check that projectNode != null. This means that a proc relational query using a table function or other source without an access node will fail with a NullPointerExcpetion.

FrameUtil.isProcedure now checks that projectNode != null before proceeding and no such exception is experienced.
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-2063 Major Resolved NPE with proc relational query 2013-05-01 12:11:39 UTC

Description dsteigne 2012-12-07 13:50:13 UTC
Description of problem:
The fixed for upstream https://issues.jboss.org/browse/TEIID-2063 needs to be in EDS 5.3.1 or a rollup.  This is a blocker for the customer.

Version-Release number of selected component (if applicable):
5.3.0

Comment 2 Van Halbert 2012-12-11 21:49:17 UTC
This fix was applied back in June 2012, and would be in 5.3.0.  This just needs to be verified by QA.

Comment 3 Filip Elias 2012-12-13 18:27:24 UTC
I have tried this on EDS 5.3.1 ER1 and the problem is not corrected. I thing that the correction is not committed to the 7.7.x branch.

Comment 12 Filip Elias 2013-01-30 11:02:33 UTC
Verified on SOA-P 5.3.1 ER4.


Note You need to log in before you can comment on or make changes to this bug.